summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-16 01:52:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-16 01:52:36 +0000
commit75e3007dcd53a6c0006e00105ba7bf0766e71f63 (patch)
treee2882f8878bfbf6cccf2af1d6c3d3ed1d0295476 /dev-python
parent15ee9975a925c6b6e53e762a22e2868e65ee4145 (diff)
downloadbaldeagleos-repo-75e3007dcd53a6c0006e00105ba7bf0766e71f63.tar.gz
baldeagleos-repo-75e3007dcd53a6c0006e00105ba7bf0766e71f63.tar.xz
baldeagleos-repo-75e3007dcd53a6c0006e00105ba7bf0766e71f63.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.95.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.95.ebuild59
-rw-r--r--dev-python/feedparser/Manifest1
-rw-r--r--dev-python/feedparser/feedparser-6.0.6.ebuild38
-rw-r--r--dev-python/flask-compress/Manifest1
-rw-r--r--dev-python/flask-compress/files/flask-compress-1.10.0-test-install.patch27
-rw-r--r--dev-python/flask-compress/flask-compress-1.10.0.ebuild31
-rw-r--r--dev-python/frozen-flask/Manifest1
-rw-r--r--dev-python/frozen-flask/frozen-flask-0.18.ebuild26
-rw-r--r--dev-python/httpcore/Manifest1
-rw-r--r--dev-python/httpcore/httpcore-0.13.6.ebuild66
-rw-r--r--dev-python/humanize/Manifest1
-rw-r--r--dev-python/humanize/humanize-3.9.0.ebuild24
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.12.25.ebuild20
-rw-r--r--dev-python/rq/Manifest1
-rw-r--r--dev-python/rq/metadata.xml4
-rw-r--r--dev-python/rq/rq-1.8.0.ebuild55
-rw-r--r--dev-python/rq/rq-1.8.1.ebuild2
-rw-r--r--dev-python/sip/Manifest2
-rw-r--r--dev-python/sip/sip-6.1.1.ebuild (renamed from dev-python/sip/sip-6.1.0.ebuild)0
23 files changed, 357 insertions, 62 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 3167b86fdba4..6d0e23491359 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -16,3 +16,4 @@ DIST boto3-1.17.91.tar.gz 380247 BLAKE2B 8017241fce7337ed88f8da35ad914081d7b4a83
DIST boto3-1.17.92.tar.gz 381619 BLAKE2B ea7f1d7fbc1481d22f5e5bce9d051e9d825de215fd9efc9396c9d11723eac70e422b68d9f72a429ddd0bfe9976ad0e6e3c7e7bff74af388996c3e48ac6f383fc SHA512 a96d57eb19e794b4b7a1d4b1ee142f601ca5a10ba7c20500dd3e570131904874fe470cb1ef7146f7eb4ba189a91f9b42dd58acb0c8d54216352c03ae173f8092
DIST boto3-1.17.93.tar.gz 382205 BLAKE2B c665f3a98ffffd3a146914e5c061ec222def64ffffcf2bfcf1fabd86ba5be89d61fe4201b81134fd415b80710ed7d4261ed26eb71fec9c64525f4c2f3ff88533 SHA512 bb1f3264cfa4717f32343553f5af1d35dc7bab813d968775456239a758111cbc7eb6514df42cc3675f1d693f5bae33c048fcdae98c348d3aa54cbb6e98d88f70
DIST boto3-1.17.94.tar.gz 382448 BLAKE2B 84ea4989b47ff4b1adbcb1118bf1a18996d98d954c195671483ac2ada94afd1fbda151afb6dd1be556c5a63535ebf9747c7f9eac99d55ee6cdd64dd163941572 SHA512 a157df1cef3d7d99f319bdce20ff4128cd171cb9ce5b3cd7e286711cb0b3939efafbd4f8b1370fb131af60296d703c1244d4232cedd28c3615d1437c98ba4445
+DIST boto3-1.17.95.tar.gz 383063 BLAKE2B 9d715ce7cf51daa806c0ed6044eca32c51dddc9114899e890e9745db51d574fea02515364cbab3fd82b9960dcc658c02bab89564c98ede13487ead75280c01a5 SHA512 63c78ea41bf79af23159aa8a97bf82ecd6c5b5075c1d077777679cc7ca17de4e91eb9abd19c152e5eeee2d5af47739ba0df3dbca6012c3836b577bc52e52eff4
diff --git a/dev-python/boto3/boto3-1.17.95.ebuild b/dev-python/boto3/boto3-1.17.95.ebuild
new file mode 100644
index 000000000000..76a508785b03
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.95.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 1c7a293a9ef3..0a896d4a26de 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -16,3 +16,4 @@ DIST botocore-1.20.91.tar.gz 7822478 BLAKE2B d76b3a944f951a9722e59d28218e24eacbc
DIST botocore-1.20.92.tar.gz 7826845 BLAKE2B 8568b8be7440807fae48f735198059356764c7f36db1dfcf73801379ea90b728bb02a086e19a202bb5b3a7c05886edbc22ca729a1ea43ac1f38ad96b64a6c28b SHA512 0cba710b28086b4e83c6269e74ca3531b26497d438e28b8ea285f7fbee0da43545134d22fe5fb300d3c77d9c933882b1f00cde797c470e6af73553c191cebd66
DIST botocore-1.20.93.tar.gz 7827854 BLAKE2B 6297172731db3367d5d769c38de4d8ba8e36eb8c1e870d8f31c3175944d32f52d4e51f69d533853d0c8ea2c0bd2dbacb971a12aa18537bf099c9812481108d9f SHA512 2d38de5fd92bd17df029f93254e8ea26fcf1cefda274d479cdbe8919c862d32c0a18cca165fe65c4125adbbaecc1909dc8da576a0b0fc7d47dc72cd3fd3db6cf
DIST botocore-1.20.94.tar.gz 7830564 BLAKE2B 4c52bb0f782a4560c1c966ede26a5741428f5b06aea8a46f76956b7ebebeec92c6eecd62fd3064a3eeb206c68116a64104222dc141d860cc9d1c53eb37567c24 SHA512 1dbb52626b03f82b48cdf76da0e0138b11d47c9f6aef64a164c7489232a46af4f2d214fef5d132a1c656f2728608cecd23b4a781f58252ee7a69c7efe853d4f3
+DIST botocore-1.20.95.tar.gz 7833074 BLAKE2B f7c6f01cf28f609a2a6c2cdcb41240d3d653a12ca28e29011ee2ab909b988b187378989eaa19f73734b3a64ece5041520af9a9e9de801bb1802001b22d56387c SHA512 a3c532e26054f793ac71756ebf69c0f17bf60e4510297abffadf02c17188ae74ea374b534bfd9db8cd179c53287734b797142e7e08536a9e3199e269cb014c28
diff --git a/dev-python/botocore/botocore-1.20.95.ebuild b/dev-python/botocore/botocore-1.20.95.ebuild
new file mode 100644
index 000000000000..ca62b7dad65f
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.95.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/feedparser/Manifest b/dev-python/feedparser/Manifest
index 3571a6e8da78..4de8914d7c68 100644
--- a/dev-python/feedparser/Manifest
+++ b/dev-python/feedparser/Manifest
@@ -3,3 +3,4 @@ DIST feedparser-6.0.2.tar.gz 251508 BLAKE2B e571bbd1a26ff06536ce3a134a5f91ff2cfc
DIST feedparser-6.0.3.tar.gz 251556 BLAKE2B e0aec37a3bf70be26791c6717dd015e128a8a1e4dc8be77371deb4b02e4dac7316366e1a36333e92ae1fbf10096bcba6aa61e06fcbb58c7cc6a00d401939fa7d SHA512 f8de4ed660cde3bce1b289a3f2eb49222a55bd3512a1a16b1805f7d19461c0aac3d9603d66c68af94b71557adcb1cc080cea996700950cee81b644c2fefe0c54
DIST feedparser-6.0.4.tar.gz 251880 BLAKE2B 22a94bce43b4ff8ad9aa95d07c71568d7d6e1d8732ce84880f1565d48673706a3eea1c9bbf2dbe42e6384a737170c409cddccfcbfb46f92140d9262b16573071 SHA512 33b6e2cda5a6fe5bc1b51f26ec256e86e81c7cab050027592cc47173389554a7ebf9ed82454690dad534256bac5f907ca0f32871b2741d1d5318ff94e8e66558
DIST feedparser-6.0.5.tar.gz 252003 BLAKE2B 91f1a5cd8f1d7124ebfc4c6ce31be81d2251a3769a2ec491325236ecc6506d73658fa7f4825a82e41d4c190017a66a41b6a93f19b37f0062d2abcca76d6791bf SHA512 6b91c8cd84ac7de9a632ae23c3bcd543ecc4dbbeeefac370c62af0fc83057a108b26a84e2199ae900300a09e89a117c475776276231d7cd27d20a10b16814958
+DIST feedparser-6.0.6.tar.gz 252114 BLAKE2B 47a22799c76832d8c21959a43514f4e81b427a1d54d4cfd6e95bcb3cd23a8b50611f640107d9078b3bf8f4d3b254b8c8863fafe56b6a53d02cffb6d7cd7c1a3f SHA512 e94b0f8e1be2b70db897297fb456df3d5e86a1e952fd4278f9370fc94e3a13930ddbeb866a525b9344e9cd2e4d768a7bda7b1368354e68d16eff133319a8bca9
diff --git a/dev-python/feedparser/feedparser-6.0.6.ebuild b/dev-python/feedparser/feedparser-6.0.6.ebuild
new file mode 100644
index 000000000000..ab2b0b4c63d7
--- /dev/null
+++ b/dev-python/feedparser/feedparser-6.0.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+MY_P=${PN}-${MY_PV}
+DESCRIPTION="Parse RSS and Atom feeds in Python"
+HOMEPAGE="https://github.com/kurtmckee/feedparser
+ https://pypi.org/project/feedparser/"
+SRC_URI="
+ https://github.com/kurtmckee/feedparser/archive/${MY_PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+RDEPEND="dev-python/sgmllib3k[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # broken
+ rm \
+ tests/illformed/chardet/big5.xml \
+ tests/illformed/undeclared_namespace.xml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" tests/runtests.py || die
+}
diff --git a/dev-python/flask-compress/Manifest b/dev-python/flask-compress/Manifest
index d245600fb528..cbd912fea98b 100644
--- a/dev-python/flask-compress/Manifest
+++ b/dev-python/flask-compress/Manifest
@@ -1 +1,2 @@
+DIST Flask-Compress-1.10.0.tar.gz 12271 BLAKE2B e120dc8f28a686e01d9e8d949d765cd7d05d11322195027ad499a514a4f1d35d79e28627d79abe6279d53ff95d3fe0f43f3561868904ec9ff903925046c5c141 SHA512 6166b4ac303f4fa373615d44e44b628448548e55591f1fe4eea8085f4f441fffe82e9d1419444f31581975fb49ed9ed5c32e594bc97e386e97df9a898f40b469
DIST Flask-Compress-1.9.0.tar.gz 10322 BLAKE2B 4dddfd8a5c4c182a0cb3c5f346ccca611517ab6471dd23512c885e3e370ac09f9a099994afd2ee28eae47cca6cba2d49220d8733103e6cdcfbae03b98a2480f1 SHA512 5f13f20a3a2f8e646a4324cf75a419ea5111252db701a17dd37bbafdb9228d0e279a6c957c5cfd69468bbdffb435e37a50e0dcf5d1a160f7397df1e6a9e6ac9e
diff --git a/dev-python/flask-compress/files/flask-compress-1.10.0-test-install.patch b/dev-python/flask-compress/files/flask-compress-1.10.0-test-install.patch
new file mode 100644
index 000000000000..c104a71caa78
--- /dev/null
+++ b/dev-python/flask-compress/files/flask-compress-1.10.0-test-install.patch
@@ -0,0 +1,27 @@
+From c82a993548494ee13035ca77aeaf0726218bee0d Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 15 Jun 2021 23:25:03 +0200
+Subject: [PATCH] Do not install top-level "tests" package
+
+Fixes a regression in af2f16335279044e8baeab42e0b182d3e05861b4 that
+causes "tests" to be installed as a top-level package to site-packages.
+---
+ setup.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index b4aef13..afbe57a 100644
+--- a/setup.py
++++ b/setup.py
+@@ -13,7 +13,7 @@ setup(
+ description='Compress responses in your Flask app with gzip, deflate or brotli.',
+ long_description=LONG_DESCRIPTION,
+ long_description_content_type='text/markdown',
+- packages=find_packages(),
++ packages=find_packages(exclude=['tests']),
+ zip_safe=False,
+ include_package_data=True,
+ platforms='any',
+--
+2.32.0
+
diff --git a/dev-python/flask-compress/flask-compress-1.10.0.ebuild b/dev-python/flask-compress/flask-compress-1.10.0.ebuild
new file mode 100644
index 000000000000..342d251f44af
--- /dev/null
+++ b/dev-python/flask-compress/flask-compress-1.10.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PN="Flask-Compress"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Compress responses in your Flask app with gzip"
+HOMEPAGE="https://pypi.org/project/Flask-Compress/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${P}-test-install.patch
+)
diff --git a/dev-python/frozen-flask/Manifest b/dev-python/frozen-flask/Manifest
index 48638836e213..9bd15ed2e707 100644
--- a/dev-python/frozen-flask/Manifest
+++ b/dev-python/frozen-flask/Manifest
@@ -1,2 +1,3 @@
DIST Frozen-Flask-0.15.tar.gz 477516 BLAKE2B 1f9ecc59cabc547f7c4358c5fbbde0c57264a6c8e45bcf567c00f5c20eef288b8d261edf878e1295ef702d863c16dd605b59982abfe4daf9f073b29787b01921 SHA512 8cb80ccb5018abdaaf53a43c219504d57f2630af3d8d5c7bd6bee44c7cf483f50530bc00ff49fd674d54c0e1f6a5e0caa004bff04e95dec7f58a8bb443a36241
DIST Frozen-Flask-0.17.tar.gz 179081 BLAKE2B ddd029bdcebfc6a682de5e052bfed50ede18cfeab29655d321dcbdf38070c61c4c9c2d2424a43d170ea34d7ea512b029014786b6f6a48b90d024ad512ccb0861 SHA512 278aff5ac5f581963f0b5935c7b52b44c93ba6dcac735ee3802bba899faa35ed6a170fcf2d6f7507948b277e6de9a30f46f99f0e61e94fc0c670181ec35ddf53
+DIST Frozen-Flask-0.18.tar.gz 179245 BLAKE2B a82695892aef9b6b4e3aeb91f12f78d7d661f2f2b0efc57c11f64524ed467b85d8d9e0e7b147cb78c3d0a641dfef0f683e0f77cfda560aada79e1b435424c0ce SHA512 6c2e4d900547cc5c0de4af23b96c5b9e1925101fb40f710bedc67ac52c303282aa223f6972f5b9cc813878bb15eb90cb0a007619dd5a9db2dec762f04dcc7ba0
diff --git a/dev-python/frozen-flask/frozen-flask-0.18.ebuild b/dev-python/frozen-flask/frozen-flask-0.18.ebuild
new file mode 100644
index 000000000000..0bb4fe3aef9b
--- /dev/null
+++ b/dev-python/frozen-flask/frozen-flask-0.18.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="Frozen-Flask"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Freezes a Flask application into a set of static files"
+HOMEPAGE="https://github.com/Frozen-Flask/Frozen-Flask https://pypi.org/project/Frozen-Flask/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs \
+ dev-python/flask-sphinx-themes
+distutils_enable_tests nose
diff --git a/dev-python/httpcore/Manifest b/dev-python/httpcore/Manifest
index 8e6badc51ed0..a6800a518bf0 100644
--- a/dev-python/httpcore/Manifest
+++ b/dev-python/httpcore/Manifest
@@ -3,3 +3,4 @@ DIST httpcore-0.13.0.tar.gz 58310 BLAKE2B 29ed4ad768088c6226ece27cb82e2a1d8df32e
DIST httpcore-0.13.1.tar.gz 58538 BLAKE2B 4c0b681f96fd64d17bc1974bdb74486fd336f84b27eda450d7de630c9f5dc2012ca91d10c4d0bcdaa06ff0e60d524993ab784721e4ffb55ff2848d68ea9ebb29 SHA512 ba410bf61e820016b061a8cd5a30b227bb75a78e90465459b2ff67dd76b9de9120d3b2474f6d8bb54698f627bb8801f2da5b3d85a4a41a0c5330d6bba8e10a49
DIST httpcore-0.13.2.tar.gz 59043 BLAKE2B c534c304b238837486b8a61860553475c87363b43842c9dad2629673c1d30c2f906f31658f6ff75bd9354040c08453c3d4ffe8bdf53077ca993399b93d68a57a SHA512 b032d56bc5bf4049d02ca2ddfaf66615a1ac2f0723291f82f9104a0d7f09d5eec710f9e1ac2082fa1e83ef7fa6fe4f5a6c7c28d660abd6803a990094c952834f
DIST httpcore-0.13.3.tar.gz 64246 BLAKE2B afc43122a5502770b6efe7052846926e25fa678dcbd5c8ddbcd806df36dcf684d94df12571efaab0ff1b657fef14d5d71dd902be5cbec12c61db13004d7fe5a9 SHA512 7ba6c2cb77c082bcdb8cdfad2bc17646ccc9348f49760150ec1070429f94913b2fb9eae6d3407b404581b48670b866bf11696453325dd70610bd700e94990450
+DIST httpcore-0.13.6.tar.gz 64716 BLAKE2B 6eadcaac626d4561dec2e41bdbde21836727f10870093890469e6b5a4af2aa276361044d08b5e25e3bf760092e5537edff9d0c99acb1ddf6ab0a17343bcd9af2 SHA512 52b6189763755dbbd762ad26fef0107ad50949c1dd4865db788317ce981079cc095161e543f1a455ce84138b51f89806d8c55267378574feced107675f6cde47
diff --git a/dev-python/httpcore/httpcore-0.13.6.ebuild b/dev-python/httpcore/httpcore-0.13.6.ebuild
new file mode 100644
index 000000000000..87323d7850d2
--- /dev/null
+++ b/dev-python/httpcore/httpcore-0.13.6.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A minimal low-level HTTP client"
+HOMEPAGE="https://www.encode.io/httpcore/"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ =dev-python/anyio-3*[${PYTHON_USEDEP}]
+ <dev-python/h11-0.13[${PYTHON_USEDEP}]
+ <dev-python/hyper-h2-5[${PYTHON_USEDEP}]
+ =dev-python/sniffio-1*[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # trio is not in the tree, anyio is causing tons of test failures
+ # (probably insisting on using trio)
+ sed -i 's/^@pytest.mark.\(anyio\|trio\)/@pytest.mark.skip/' \
+ tests/async_tests/test_*.py || die
+ sed -i '/^import trio/d' tests/utils.py || die
+ # pproxy is not in the tree, the associated fixture
+ # must be disabled to prevent errors during test setup
+ sed -i 's/def proxy_server().*/&\n pytest.skip()/' \
+ tests/conftest.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local skipped_tests=(
+ # Require Internet access or hypercorn (not in the tree)
+ tests/test_threadsafety.py::test_threadsafe_basic
+ tests/sync_tests/test_interfaces.py::test_http_request
+ tests/sync_tests/test_interfaces.py::test_https_request
+ tests/sync_tests/test_interfaces.py::test_http2_request
+ tests/sync_tests/test_interfaces.py::test_closing_http_request
+ tests/sync_tests/test_interfaces.py::test_connection_pool_get_connection_info
+ tests/sync_tests/test_interfaces.py::test_max_keepalive_connections_handled_correctly
+ tests/sync_tests/test_interfaces.py::test_explicit_backend_name
+ tests/sync_tests/test_interfaces.py::test_connection_timeout_tcp
+ tests/sync_tests/test_interfaces.py::test_broken_socket_detection_many_open_files
+ tests/sync_tests/test_retries.py::test_no_retries
+ tests/sync_tests/test_retries.py::test_retries_exceeded
+ tests/sync_tests/test_retries.py::test_retries_enabled
+ # Require hypercorn
+ tests/sync_tests/test_interfaces.py::test_connection_timeout_uds
+ )
+ epytest ${skipped_tests[@]/#/--deselect }
+}
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index 27aa14e1772e..01ca15ea8b42 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -2,3 +2,4 @@ DIST humanize-3.5.0.tar.gz 56651 BLAKE2B 05095fbdf7c55258bf3d01c73f47bf913e1fda3
DIST humanize-3.7.0.tar.gz 44002 BLAKE2B ec253c07a38c83d67038836998a7159afe7d1f3e1f0f5ea0f946f987e18bf4943d7dd48e2e156009627e1bda2140017bf99df072671008a6e1daad704b693292 SHA512 e501cdb4dcb603601624f5df9a04a256669f06ac594d8a3a0c83543d1d8503bfcf4d7198ff87827e2c60dd63897c23b722be7497179c49a9f9b05d07289de4be
DIST humanize-3.7.1.tar.gz 61846 BLAKE2B 6ed6e35dc15ef08a88cd15211212cbd4194363889ff0dbe4e53d76adb248da948d688e4eddf5a93548497b1e1e02145431e1c157fd26288fc27f2b9b7b2c80b7 SHA512 152ee6030de83be34bdb40908427ca4f1461191ce417faef273b070a1d347a43f4a44182cd0fa79b8935c07d97679205285bbd6fa43352d2d9cada53df5f112f
DIST humanize-3.8.0.tar.gz 64298 BLAKE2B ba367054f66351b7b48bed69ab4ba63251dbdd6bb56c21cbd8d7846401d4a2428f6e069a0219b5a24bfde173d6ed2ef3116f01551137b4c0c1eddd8c9d6fc87b SHA512 8301f461c60fd990e50a24aef714d78a3b42fb82d792ac01b088e05b6bf765dfa34e2257c1a75e3da279db3b8d837bd6434398f33578c946fa17dc1a45122f75
+DIST humanize-3.9.0.tar.gz 64229 BLAKE2B 09aeec6a92c8e2e104032d4c61f054785ff58ce2dda68c4f3acffb17c7fa4e262b28a24b7c06d33671ea18d2eb05c9bcc0a82d5491e60afa161ebc0041945bf2 SHA512 75aa8f9f6b07d4b65e5589c3f337a92ee17769ab8da6608147b0f1ec3965b95788dd90cf0d0cae1b7c9be689b44910029ee72e2eba39a60c9926b67726c74353
diff --git a/dev-python/humanize/humanize-3.9.0.ebuild b/dev-python/humanize/humanize-3.9.0.ebuild
new file mode 100644
index 000000000000..b799aae188ae
--- /dev/null
+++ b/dev-python/humanize/humanize-3.9.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests --install pytest
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index b928166efe54..26362e49fa93 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1 +1,2 @@
DIST phonenumbers-8.12.24.tar.gz 2257982 BLAKE2B b7fa2a29c1c9a4a1029013d7de3eed9998c764a12b41a9db2db8d4c9c2fcef1bff00167809f9cdffd484ba1c9d22ef244d45e7c21bb61899a37fc4d3cbb0b6d5 SHA512 1145c527e349436ecc8eaae5bf2dc2e10d25eab73d2ab3b566d7aaddc2cfcd9ae1ada4e3b9876f133f42f7ce023c74a91e48619df69d817f74964e429ebc20a8
+DIST phonenumbers-8.12.25.tar.gz 2257994 BLAKE2B 4bcd5e21819c1f42281fc684c97d41824a0dca1fc296b1968094e3a88ff235823d76cdd3b31da68bec677aea15021689ea40906b2c50363b999958029a05fcdf SHA512 24e6f1fb903d07214eed80eefd8f67e73dd4d66f0bb66308867453d05ea1b6272a8338e11bdb45395a37eb2ce8d6c3b80d90491763f843b3da4c131b43f5db73
diff --git a/dev-python/phonenumbers/phonenumbers-8.12.25.ebuild b/dev-python/phonenumbers/phonenumbers-8.12.25.ebuild
new file mode 100644
index 000000000000..ac8788fcaacf
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.12.25.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="https://github.com/daviddrysdale/python-phonenumbers"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=(README.md)
+
+distutils_enable_tests setup.py
diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index 47452569ff29..92be7df584ce 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,2 +1 @@
-DIST rq-1.8.0.tar.gz 584251 BLAKE2B 3da1d4f1604a57e16e26c39643337fb8ab804089f783d6a7c44500f577a326cf4883835c996427e819896faad512b9a380ebfdcf67e865eec475d39321ecd2f5 SHA512 e8946b4454e67bc9ce0c69c302ba3bb6403654cce384904d64996766227ba8fdcbff834a8901a8fa09dcccebe8aba769d38daf228283f4142166fa5ea0f9a107
DIST rq-1.8.1.tar.gz 585211 BLAKE2B 17feb07cb376c5aef88a7aab6d716f58a19f62f19db6c6b0490b4f666981e40304c6a23c88669a0aef9b75a39ce8cb85a9b10a2d42e83e646cdcb6282167d8f9 SHA512 b9df7b4e894a5da693827ff720be3068336d82d2f17928faf5ae6133b042ac2f98a3d673bb2ed86c9351479669e9ef0e4fffcb1dba9b8853f6f793db4a4678f8
diff --git a/dev-python/rq/metadata.xml b/dev-python/rq/metadata.xml
index aa210a3fd09c..337698879706 100644
--- a/dev-python/rq/metadata.xml
+++ b/dev-python/rq/metadata.xml
@@ -8,10 +8,6 @@
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
- <maintainer type="person">
- <email>williamh@gentoo.org</email>
- <name>William Hubbs</name>
- </maintainer>
<upstream>
<remote-id type="github">rq/rq</remote-id>
<remote-id type="pypi">rq</remote-id>
diff --git a/dev-python/rq/rq-1.8.0.ebuild b/dev-python/rq/rq-1.8.0.ebuild
deleted file mode 100644
index d2dc7764b486..000000000000
--- a/dev-python/rq/rq-1.8.0.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="simple, lightweight library for creating and processing background jobs"
-HOMEPAGE="https://python-rq.org https://github.com/rq/rq"
-SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
-
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/sentry-sdk[${PYTHON_USEDEP}]
- )
-"
-RDEPEND="
- >=dev-python/click-5.0[${PYTHON_USEDEP}]
- >=dev-python/redis-py-3.5.0[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests --install pytest
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
- local redis_test_config="daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1
- "
-
- # Spawn Redis itself for testing purposes
- # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
- # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
- elog "Spawning Redis"
- elog "NOTE: Port ${redis_port} must be free"
- /usr/sbin/redis-server - <<< "${redis_test_config}" || die
-
- # Run the actual tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
diff --git a/dev-python/rq/rq-1.8.1.ebuild b/dev-python/rq/rq-1.8.1.ebuild
index f884741ddb12..ce42cb0c2eb5 100644
--- a/dev-python/rq/rq-1.8.1.ebuild
+++ b/dev-python/rq/rq-1.8.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="
>=dev-python/click-5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index f28091691f4b..0262879d910d 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,3 +1,3 @@
DIST sip-4.19.25.tar.gz 1056384 BLAKE2B f92e105e6b30e871aea2883dc9cd459e4032fb139a9eaff153a3412a66b39df4d7ac985711a2693aee83195ff3850ae648bee4102f7fc3cc30d09885799f2b98 SHA512 60fb4133c68869bf0993144978b4847d94a0f9c7b477f64a346ea133cfe35bc11820204ab327dcf9a929b6f65a26d16cc7efbce65e49967c3347b39376e57001
DIST sip-5.5.0.tar.gz 1108126 BLAKE2B 59f0323b3befd7ebb89461e93e1e7e5707d11b2882bd524a45f3a6ba8d8a3c792aff5580027255812f6a3fa0854febeb418690fa6106efb21aab1610d66ef911 SHA512 0122beab575239cdb3b1430dc53a7f74175e3fbb3e113bcafced122ffbc4bd3d339b64a672ac1319ea14cd540b5877c2bcfeb7f8821fe8a3c8ba3ce9744bf803
-DIST sip-6.1.0.tar.gz 1441449 BLAKE2B 07740fd0c5feba2267d6af6acbd1f457b75f1e450558481a19cc3bbb8d9fc072335b61b9def236b2f3039ee5056a09694b5247fd49b5c006ea29029f08c31209 SHA512 6c1e6413020e8099ebf52b75dcb599c46d4e1d1ff8e8e672e76f77c1e421ae93dff66c9cd131b46642c567cfe876047eb9679d59babed11bf51e609b325b9e7c
+DIST sip-6.1.1.tar.gz 1441692 BLAKE2B 89a350be3e8c87cb76ec4222f0ab753213f324bc4573bee82bc4d014e8984d9d47a6f384793f618d090620a9efa2cfb906070a7d99312a29cac715ec98d97f15 SHA512 94e413c3af4dcac9cbd1eef368f4e88c0b3bfe1ad8b97f4a6ec39af1a448fdf1d79f3c845cf8c9b0ed78b04f2a18d176d750a39d13a47f9122e575d034ed88b4
diff --git a/dev-python/sip/sip-6.1.0.ebuild b/dev-python/sip/sip-6.1.1.ebuild
index 0af199efd265..0af199efd265 100644
--- a/dev-python/sip/sip-6.1.0.ebuild
+++ b/dev-python/sip/sip-6.1.1.ebuild